<?php

/*
Plugin Name: wp-comment-master
Plugin URI: http://yjlblog.com
Description: an elegant and must-have comment plugin to better satisfy your visitors, it has two main features: AJAX comment posting and comment paginitaion.
Version: 1.2
Author: Yijie Li
Author URI: http://yjlblog.com

    Copyright 2010  Yijie Li  (email: bingjie2680@hotmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License    
    along with this program; if not, write to the Free Software    
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

add_action('init', 'my_plugin_init');
function my_plugin_init(){
   if(!is_admin()){
      wp_enqueue_script('paginating_js', WP_PLUGIN_URL.'/wp-comment-master/cm.js',array('jquery'),'',true);
      wp_enqueue_style('paginating_css', WP_PLUGIN_URL.'/wp-comment-master/cm.css');
   }
}

add_action('admin_menu', 'mt_add_pages');
// action function for above hook
function mt_add_pages() {
    add_options_page('WP-comment-master','WP-comment-master', 'manage_options', 'WP-comment-master', 'YJL_options');
    add_action( 'admin_init', 'register_mysettings' );
}

function register_mysettings() {
	//register our settings
         register_setting( 'YJL-settings-group', 'com_paging' );
 	 register_setting( 'YJL-settings-group', 'com_per_page' );
  	 register_setting( 'YJL-settings-group', 'num_per_page' );
	 register_setting( 'YJL-settings-group', 'pager_pos' );
         register_setting( 'YJL-settings-group', 'rep_form' );
         register_setting( 'YJL-settings-group', 'yjlacp' );
}

//send the custom settings to client
function send_settings($content){   
    $settings='<div class="yjl_settings" style="display:none;">'; 
    $settings .='<span class="yjl_com_paging">'.get_option('com_paging').'</span>';  
    $settings .='<span class="yjl_comPerPage">'.get_option('com_per_page').'</span>';   
    $settings .='<span class="yjl_numPerPage">'.get_option('num_per_page').'</span>';   
    $settings .='<span class="yjl_pager_pos">'.get_option('pager_pos').'</span>';   
    $settings .='<span class="yjl_rep_form">'.get_option('rep_form').'</span>'; 
    $settings .='<span class="yjl_ajax_posting">'.get_option('yjlacp').'</span>';
    $settings .='<span class="path">'.WP_PLUGIN_URL.'/wp-comment-master/ajax-loader.gif</span>';  
    $settings .='</div>';  
    $content .=$settings;   
    return $content;
}
add_filter('the_content','send_settings');

function YJL_options() { ?>
   <div class="wrap">
      <h2>WP-Comment-Master Settings:</h2>

      <form method="post" action="options.php">
       <?php settings_fields( 'YJL-settings-group' ); ?>

        <table class="form-table">

        <tr valign="top">
          <th scope="row">Comment Pagination</th>
          <td>  
               <?php $com_paging=get_option('com_paging');?>
                <input type="radio" name="com_paging" value="enable" <?php if( $com_paging!='disable')echo 'checked';?> >Enable
                <input type="radio" name="com_paging" value="disable" <?php if( $com_paging=='disable')echo 'checked';?>  >Disable
          </td>
          </tr>

          <tr valign="top">
            <th scope="row">Comments per page</th>
            <td><input name="com_per_page" id="com-per-page" value="<?php echo get_option('com_per_page'); ?>" /><br>(If you enable threaded comments,threaded comments does not count towards this number.)</td>

          </tr>

          <tr valign="top">
          <th scope="row">Number of page-number to show</th>
          <td>  <select id="num_per_page" name="num_per_page">
              <?php $num_per_page=get_option('num_per_page');?>
                <option value="5" <?php if($num_per_page==5)echo 'selected';?>  >5</option>
                <option value="3" <?php if($num_per_page==3)echo 'selected';?> >3</option>  
                <option value="7" <?php if($num_per_page==7)echo 'selected';?>  >7</option>
                <option value="9" <?php if($num_per_page==9)echo 'selected';?>  >9</option>
                <option value="11" <?php if($num_per_page==11)echo 'selected';?>  >11</option>
                <option value="13" <?php if($num_per_page==13)echo 'selected';?>  >13</option>
             </select>(default 5)             
          </td>
          </tr>

          <tr valign="top">
          <th scope="row">Page-number position</th>
          <td>  
               <?php $pager_pos=get_option('pager_pos');?>
                <input type="radio" name="pager_pos" value="before" <?php if( $pager_pos!='after'&& $pager_pos!='both')echo 'checked';?> >Before comments (*recommended)<br>
                <input type="radio" name="pager_pos" value="after" <?php if( $pager_pos=='after')echo 'checked';?>  >After comments<br>
                <input type="radio" name="pager_pos" value="both" <?php if( $pager_pos=='both')echo 'checked';?>  >Both before and after comments(enable this option,you must set comment per page to minimum 7 in order to work properly) 
          </td>
          </tr>

          <tr valign="top">
          <th scope="row">Reposition the comment form before comments</th>
          <td>
            <?php $rep_form=get_option('rep_form');?>
          <input type="radio" name="rep_form" value="enable" <?php if( $rep_form!='disable')echo 'checked';?> >Enable (*recommended)
          <input type="radio" name="rep_form" value="disable" <?php if( $rep_form=='disable')echo 'checked';?>  >Disable
          </td></tr>
          
         <tr valign="top">
          <th scope="row">AJAX comment posting:</th>
          <td>  
               <?php $yjlacp=get_option('yjlacp');?>
                <input type="radio" name="yjlacp" value="enable" <?php if( $yjlacp!='disable')echo 'checked';?> >Enable
                <input type="radio" name="yjlacp" value="disable" <?php if( $yjlacp=='disable')echo 'checked';?>  >Disable
          </td>
          </tr>

          </table>
        <p class="submit">
         <input type="submit" class="button-primary" value="Save Changes" />
       </p>
     </form>
  <p>If you find any bugs or anything unfunctional,please help to imporve it by reporting it to the <a href="http://yjlblog.com">plugin site</a>,thank you very much.</p>
   </div>
<?php } ?>